using WinformGeneralDeveloperFrame.Commons;
namespace MES.Entity
{
    using System;
    using System.Collections.Generic;
    using System.ComponentModel.DataAnnotations;
    using System.ComponentModel.DataAnnotations.Schema;
    using System.Data.Entity.Spatial;

    [Table("sysDictType")]
    public partial class sysDictTypeInfo
    {
    [ModelBindControl("txtid")]
    public int id{set;get;}
    [ModelBindControl("txtpid")]
    public int pid{set;get;}
    [ModelBindControl("txtname")]
    public string name{set;get;}
    [ModelBindControl("txtsort")]
    public string sort{set;get;}
    [ModelBindControl("txtcreatorId")]
    public int creatorId{set;get;}
    [ModelBindControl("txtcreateTime")]
    public DateTime? createTime{set;get;}=DateTime.Now;
    [ModelBindControl("txteditorId")]
    public int editorId{set;get;}
    [ModelBindControl("txteditTime")]
    public DateTime? editTime{set;get;}=DateTime.Now;
    [ModelBindControl("txtremark")]
    public string remark{set;get;}
    
    }
}